%define pkg_name        AI-MegaHAL
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 2.n0i.4


Summary:       Perl interface to the MegaHAL natural language conversation simulator
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CH/CHORNY/%{pkg_name}-%{pkg_version}.tar.gz


BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools

BuildRequires: perl(ExtUtils::MakeMaker)


%description
This package provides a Perl interface to the MegaHAL conversation
simulator written by Jason Hutchens.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes megahal.trn README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-2.n0i.4
- mass rebuild

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.4
- rebuild on perl 5.8.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
